# This spec file was derived from the upstream .spec file written by
# Jon Topper <jon at topper dot me dot uk>
Name:           email2trac
Version:        0.13
Release:        6%{?dist}
Summary:        Utilities for converting emails to trac tickets

Group:          Applications/Internet
License:        GPLv2+
URL:            https://subtrac.sara.nl/oss/email2trac
# Note, upstream doesn't name the tarball after the release, lame.
Source0:        ftp://ftp.sara.nl/pub/outgoing/email2trac.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
Requires:       trac
Patch0:         email2trac-0.13-installperms.patch
Patch1:         email2trac-0.13-spamlevel.patch

%description
This is a release of the SARA package email2trac that contains utilities that 
we use to convert emails to trac tickets. The initial setup was made by 
Daniel Lundin from Edgewall Software. SARA has extend the initial setup, 
with the following extensions:

    * HTML messages
    * Attachments
    * Use commandline options
    * Use config file to change the behaviour of the email2trac.py program
    * Some unicode support for special characters in the headers of an email 
      message


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure --with-trac_user=apache
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING INSTALL ChangeLog
%{_bindir}/delete_spam
%{_bindir}/email2trac
%{_bindir}/run_email2trac
%config(noreplace) %{_sysconfdir}/email2trac.conf


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Jesse Keating <jkeating@redhat.com> - 0.13-5
- Explicitly pass RPM_OPT_FLAGS

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 23 2008 Jesse Keating <jkeating@redhat.com> - 0.13-3
- Add a patch to handle both X-Spam-Score and X-Spam-Level

* Tue May 20 2008 Jesse Keating <jkeating@redhat.com> - 0.13-2
- BR python as per review.

* Mon May 19 2008 Jesse Keating <jkeating@redhat.com> - 0.13-1
- First submission to Fedora

